[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragDockObject.MoveDockImage

Moves an already visible DockRect.

## Declaration

Source position: controls.pp line 607

`protected procedure TDragDockObject.MoveDockImage; virtual;`

## Description

Checks the DockRect for changes against EraseDockRect, to prevent flicker. Remembers the drawn frame coordinates in EraseDockRect.